Bug 14003 - tftp-server not xinetd'ified
Summary: tftp-server not xinetd'ified
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tftp   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-14 21:35 UTC by Pekka Savola
Modified: 2014-03-17 02:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-24 22:57:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-07-14 21:35:53 UTC
Tftp-server still requires inetd.  Also, stuff usually going to
/etc/xinetd.d is missing.  Apparently someone forgot to hack it :)

Comment 1 Pekka Savola 2000-07-14 21:55:38 UTC
Please also consider making tftpd run as nobody (#12124).


Comment 2 Pekka Savola 2000-07-14 21:57:01 UTC
More like #12129. :-)

I ran it w/ nobody briefly too just fine.


Comment 3 Pekka Savola 2000-07-14 22:29:51 UTC
Note: the package is horribly broken.  There is a tftp-hpa source in there,
which appears to be (at least partially) the straight OpenBSD implementation.

compiling tftp-hpa-0.13/tftpd/ gives horrid warnings, but doesn't break.  That
version is installed in /usr/sbin/in.tftpd, which will cause tftpd server to be
quite non-functional.  The version in tftpd/ seems to work just fine.



Comment 4 Glen Foster 2000-07-18 20:32:33 UTC
This defect is considered MUST-FIX for Winston Beta-5


Comment 5 Pekka Savola 2000-07-21 18:20:51 UTC
Ok, I researched a bit into this (beta4).

First, hpa released a new version of this 2 weeks ago.  Then you wouldn't need
the define for BSD signals.

Spec file is still wrong; if you intend to use hpa version, please remove
Source: line from netkit-base -derived one.

The server will work if you specify server_args = /tftpboot in xinetd.d/tftp.
Previous netkit-versions defaulted to that, but this one doesn't seem to.



Comment 6 Jeff Johnson 2000-07-22 21:10:06 UTC
All but  running as nobody fixed in tftp-0.17-2. Thanks for the research!

Comment 7 Jeff Johnson 2000-07-24 22:57:37 UTC
Closing, the nobody issue will be resolved as a separate item.

Comment 8 Pekka Savola 2000-07-27 12:17:05 UTC
Done in beta5.


Note You need to log in before you can comment on or make changes to this bug.